com.microfocus.awm.core

## Class DefaultConfigurationReader

- java.lang.Object
- - com.microfocus.awm.core.DefaultConfigurationReader

-     public class DefaultConfigurationReader
      extends java.lang.Object

  Reads default configurations and makes them available for other classes/plug-ins to apply them.

  Default configurations are defined in XML and can be stored in the eclipse folder or another local path specified in the eclipse.ini file. The reader parses the XML file but does not interpret the contents. Other plug-ins must retrieve the parsed configurations and apply them.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AWM_SYSTEM_ASSOCIATED_SYSTEM` AWM system attribute "associated remote system".
    `static java.lang.String` | `AWM_SYSTEM_LOADED_APPLICATION` AWM system attribute "".
    `static java.lang.String` | `AWM_SYSTEM_MASTER_CONFIG_COMMAND` AWM system attribute "master configuration command".
    `static java.lang.String` | `AWM_SYSTEM_MASTER_CONFIG_PATH` AWM system attribute "master configuration path".
    `static java.lang.String` | `DEFAULT_CONFIG_AWM_SYSTEM` The configuration type name for AWM systems.
    `static java.lang.String` | `DEFAULT_CONFIG_FILE_MAPPINGS` The configuration type name for file mappings.
    `static java.lang.String` | `DEFAULT_CONFIG_REMOTE_SYSTEM_CONNECTION` The configuration type name for remote system connections.
    `static java.lang.String` | `FILE_MAPPING_GENERIC_NAME` File mapping attribute "generic name".
    `static java.lang.String` | `FILE_MAPPING_LOCAL_CP` File mapping attribute "local code page".
    `static java.lang.String` | `FILE_MAPPING_REMOTE_CP` File mapping attribute "remote code page".
    `static java.lang.String` | `FILE_MAPPING_SUFFIX` File mapping attribute "suffix (file extension)".
    `static java.lang.String` | `FILE_MAPPING_TRANSFER_MODE` File mapping attribute "transfer mode".
    `static java.lang.Object` | `FILE_MAPPING_TYPE` File mapping attribute "type".
    `static java.lang.String` | `FILE_MAPPINGS_FILE_MAPPING_ELEMENT` File mapping element for a single file mapping.
    `static java.lang.String` | `PATH_DEFAULT_CONFIGURATIONS_FILE` Default path of the default configurations file.
    `static java.lang.String` | `PROPERTY_DEFAULT_CONFIGURATIONS_PATH` Property for the path of the default configurations file which can e.g.
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_CODEPAGE_REMOTE` Remote system connection attribute "description".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_CONNECTION_NAME` Remote system connection attribute "connection name".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_DEFAULT_USER_ID` Remote system connection attribute "default user ID" (optional attribute).
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_DESCRIPTION` Remote system connection attribute "description".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_ELEMENT_FILTER` Filter element for a remote system connection.
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_ELEMENT_FILTER_STRING` Filter string element for a remote system connection.
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_FILTER_NAME` Remote system connection filter attribute "filter name".
    `static java.lang.Object` | `REMOTE_SYSTEM_CONNECTION_FILTER_TYPE` Remote system connection filter attribute "filter type".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_FILTERSTRING_STRING` Remote system connection filter string attribute "filter string".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_HOST_NAME` Remote system connection attribute "host name".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_PORT` Remote system connection attribute "description".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_PORT_CEA` Remote system connection attribute "description".
    `static java.lang.String` | `REMOTE_SYSTEM_CONNECTION_SYSTEM_TYPE_ID` Remote system connection attribute "system type ID".

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultConfigurationReader()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IXMLElement` | `getDefaultConfigurations()` Gets the parsed default configurations (if available).
    `static boolean` | `isDefaultConfigurationCreated(java.lang.String pConfigurationType)` Checks whether default configurations of the given type were already created.
    `static void` | `setDefaultConfigurationCreated(java.lang.String pConfigurationType, boolean isCreated)` Sets a boolean flag for the given configuration type whether default configurations have been created for that type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DEFAULT_CONFIGURATIONS_PATH

          public static final java.lang.String PROPERTY_DEFAULT_CONFIGURATIONS_PATH

      Property for the path of the default configurations file which can e.g. be set in the eclipse.ini file. If not set, the eclipse root directory will be used.
      See Also:
        Constant Field Values

    - #### PATH_DEFAULT_CONFIGURATIONS_FILE

          public static final java.lang.String PATH_DEFAULT_CONFIGURATIONS_FILE

      Default path of the default configurations file. Please note that the path will only be used if the value of property `PROPERTY_DEFAULT_CONFIGURATIONS_PATH` has not been set.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIG_REMOTE_SYSTEM_CONNECTION

          public static final java.lang.String DEFAULT_CONFIG_REMOTE_SYSTEM_CONNECTION

      The configuration type name for remote system connections.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIG_AWM_SYSTEM

          public static final java.lang.String DEFAULT_CONFIG_AWM_SYSTEM

      The configuration type name for AWM systems.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIG_FILE_MAPPINGS

          public static final java.lang.String DEFAULT_CONFIG_FILE_MAPPINGS

      The configuration type name for file mappings.
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_SYSTEM_TYPE_ID

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_SYSTEM_TYPE_ID

      Remote system connection attribute "system type ID".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_HOST_NAME

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_HOST_NAME

      Remote system connection attribute "host name".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_CONNECTION_NAME

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_CONNECTION_NAME

      Remote system connection attribute "connection name".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_DESCRIPTION

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_DESCRIPTION

      Remote system connection attribute "description".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_PORT

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_PORT

      Remote system connection attribute "description".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_PORT_CEA

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_PORT_CEA

      Remote system connection attribute "description".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_CODEPAGE_REMOTE

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_CODEPAGE_REMOTE

      Remote system connection attribute "description".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_ELEMENT_FILTER

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_ELEMENT_FILTER

      Filter element for a remote system connection.
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_ELEMENT_FILTER_STRING

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_ELEMENT_FILTER_STRING

      Filter string element for a remote system connection.
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_FILTER_NAME

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_FILTER_NAME

      Remote system connection filter attribute "filter name".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_FILTER_TYPE

          public static final java.lang.Object REMOTE_SYSTEM_CONNECTION_FILTER_TYPE

      Remote system connection filter attribute "filter type".

    - #### REMOTE_SYSTEM_CONNECTION_FILTERSTRING_STRING

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_FILTERSTRING_STRING

      Remote system connection filter string attribute "filter string".
      See Also:
        Constant Field Values

    - #### AWM_SYSTEM_MASTER_CONFIG_PATH

          public static final java.lang.String AWM_SYSTEM_MASTER_CONFIG_PATH

      AWM system attribute "master configuration path".
      See Also:
        Constant Field Values

    - #### AWM_SYSTEM_MASTER_CONFIG_COMMAND

          public static final java.lang.String AWM_SYSTEM_MASTER_CONFIG_COMMAND

      AWM system attribute "master configuration command".
      See Also:
        Constant Field Values

    - #### AWM_SYSTEM_LOADED_APPLICATION

          public static final java.lang.String AWM_SYSTEM_LOADED_APPLICATION

      AWM system attribute "".
      See Also:
        Constant Field Values

    - #### AWM_SYSTEM_ASSOCIATED_SYSTEM

          public static final java.lang.String AWM_SYSTEM_ASSOCIATED_SYSTEM

      AWM system attribute "associated remote system".
      See Also:
        Constant Field Values

    - #### FILE_MAPPINGS_FILE_MAPPING_ELEMENT

          public static final java.lang.String FILE_MAPPINGS_FILE_MAPPING_ELEMENT

      File mapping element for a single file mapping.
      See Also:
        Constant Field Values

    - #### FILE_MAPPING_GENERIC_NAME

          public static final java.lang.String FILE_MAPPING_GENERIC_NAME

      File mapping attribute "generic name".
      See Also:
        Constant Field Values

    - #### FILE_MAPPING_TYPE

          public static final java.lang.Object FILE_MAPPING_TYPE

      File mapping attribute "type".

    - #### FILE_MAPPING_SUFFIX

          public static final java.lang.String FILE_MAPPING_SUFFIX

      File mapping attribute "suffix (file extension)".
      See Also:
        Constant Field Values

    - #### FILE_MAPPING_REMOTE_CP

          public static final java.lang.String FILE_MAPPING_REMOTE_CP

      File mapping attribute "remote code page".
      See Also:
        Constant Field Values

    - #### FILE_MAPPING_LOCAL_CP

          public static final java.lang.String FILE_MAPPING_LOCAL_CP

      File mapping attribute "local code page".
      See Also:
        Constant Field Values

    - #### FILE_MAPPING_TRANSFER_MODE

          public static final java.lang.String FILE_MAPPING_TRANSFER_MODE

      File mapping attribute "transfer mode".
      See Also:
        Constant Field Values

    - #### REMOTE_SYSTEM_CONNECTION_DEFAULT_USER_ID

          public static final java.lang.String REMOTE_SYSTEM_CONNECTION_DEFAULT_USER_ID

      Remote system connection attribute "default user ID" (optional attribute).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultConfigurationReader

          public DefaultConfigurationReader()

  - ### Method Detail

    - #### isDefaultConfigurationCreated

          public static boolean isDefaultConfigurationCreated(java.lang.String pConfigurationType)

      Checks whether default configurations of the given type were already created. Only returns `true` if set by `setDefaultConfigurationCreated(String, boolean)`.
      Parameters:
        `pConfigurationType` - the configuration type to check
      Returns:
        `true` if default configurations have already been created for the given type
      See Also:
        `setDefaultConfigurationCreated(String, boolean)`

    - #### setDefaultConfigurationCreated

          public static void setDefaultConfigurationCreated(java.lang.String pConfigurationType,
                                                            boolean isCreated)
                                                     throws org.eclipse.core.runtime.CoreException

      Sets a boolean flag for the given configuration type whether default configurations have been created for that type.
      Parameters:
        `pConfigurationType` - the configuration type
        `isCreated` - whether default configurations have been created
      Throws:
        `org.eclipse.core.runtime.CoreException` - if a persistent workspace property could not be created
      See Also:
        `IResource.setPersistentProperty(QualifiedName, String)`, `isDefaultConfigurationCreated(String)`

    - #### getDefaultConfigurations

          public static IXMLElement getDefaultConfigurations()
                                                      throws TaurusCoreException

      Gets the parsed default configurations (if available). Returns the root element of the `<defaultConfigurations>` configurations XML file or `null`, if default configurations are not available.
      Returns:
        the root element of the default configurations XML file or `null` if no default configurations are not available
      Throws:
        `TaurusCoreException` - if the default configuration file could not be parsed or read at all

Copyright © 2015 Micro Focus GmbH. All rights reserved.